X2Go Bug report logs - #1322
RFE: Allow setting nxagent nx/nx options on the server via x2goagent.options

version graph

Package: x2goserver; Maintainer for x2goserver is X2Go Developers <x2go-dev@lists.x2go.org>; Source for x2goserver is src:x2goserver.

Reported by: Orion Poplawski <orion@nwra.com>

Date: Fri, 17 Aug 2018 17:15:01 UTC

Severity: normal

Tags: patch, pending

Fixed in version 4.1.0.3

Done: X2Go Release Manager X2Go Release Manager <git-admin@x2go.org>

Reply or subscribe to this bug.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to x2go-dev@lists.x2go.org, X2Go Developers <x2go-dev@lists.x2go.org>:
Bug#1322; Package x2goserver. (Fri, 17 Aug 2018 17:15:02 GMT) Full text and rfc822 format available.

Acknowledgement sent to Orion Poplawski <orion@nwra.com>:
New Bug report received and forwarded. Copy sent to X2Go Developers <x2go-dev@lists.x2go.org>. (Fri, 17 Aug 2018 17:15:02 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.x2go.org (full text, mbox):

From: Orion Poplawski <orion@nwra.com>
To: submit@bugs.x2go.org
Subject: RFE: Allow setting nxagent nx/nx options on the server via x2goagent.options
Date: Fri, 17 Aug 2018 11:08:14 -0600
[Message part 1 (text/plain, inline)]
Package: x2goserver
Persion: 4.1.0.2
Tags: patch

The attached patch allows the setting of nxagent nx/nx options on the server
via x2goagent.options.  Very useful for being able to set sleep=0.

-- 
Orion Poplawski
Manager of NWRA Technical Systems          720-772-5637
NWRA, Boulder/CoRA Office             FAX: 303-415-9702
3380 Mitchell Lane                       orion@nwra.com
Boulder, CO 80301                 https://www.nwra.com/
[0001-Allow-setting-nxagent-nx-nx-options-on-the-server-vi.patch (text/x-patch, attachment)]

Information forwarded to x2go-dev@lists.x2go.org, X2Go Developers <x2go-dev@lists.x2go.org>:
Bug#1322; Package x2goserver. (Fri, 17 Aug 2018 18:40:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to uli42@gmx.de:
Extra info received and forwarded to list. Copy sent to X2Go Developers <x2go-dev@lists.x2go.org>. (Fri, 17 Aug 2018 18:40:03 GMT) Full text and rfc822 format available.

Message #10 received at 1322@bugs.x2go.org (full text, mbox):

From: Ulrich Sibiller <ulrich.sibiller@gmail.com>
To: Orion Poplawski <orion@nwra.com>, 1322@bugs.x2go.org
Cc: submit@bugs.x2go.org
Subject: Re: [X2Go-Dev] Bug#1322: RFE: Allow setting nxagent nx/nx options on the server via x2goagent.options
Date: Fri, 17 Aug 2018 20:38:55 +0200
Well, it should be a session specific setting which means it should be
implemented at the client side and passed to the server from there.
But it is a start...

Not directIy related to your  changes: I am wondering why this piece
of code always sets client=linux although this is server-side code!?

Uli

On Fri, Aug 17, 2018 at 7:08 PM, Orion Poplawski <orion@nwra.com> wrote:
> Package: x2goserver
> Persion: 4.1.0.2
> Tags: patch
>
> The attached patch allows the setting of nxagent nx/nx options on the server
> via x2goagent.options.  Very useful for being able to set sleep=0.
>
> --
> Orion Poplawski
> Manager of NWRA Technical Systems          720-772-5637
> NWRA, Boulder/CoRA Office             FAX: 303-415-9702
> 3380 Mitchell Lane                       orion@nwra.com
> Boulder, CO 80301                 https://www.nwra.com/
>
> _______________________________________________
> x2go-dev mailing list
> x2go-dev@lists.x2go.org
> https://lists.x2go.org/listinfo/x2go-dev


Information forwarded to x2go-dev@lists.x2go.org, X2Go Developers <x2go-dev@lists.x2go.org>:
Bug#1322; Package x2goserver. (Mon, 20 Aug 2018 09:35:02 GMT) Full text and rfc822 format available.

Acknowledgement sent to Mike Gabriel <mike.gabriel@das-netzwerkteam.de>:
Extra info received and forwarded to list. Copy sent to X2Go Developers <x2go-dev@lists.x2go.org>. (Mon, 20 Aug 2018 09:35:02 GMT) Full text and rfc822 format available.

Message #15 received at 1322@bugs.x2go.org (full text, mbox):

From: Mike Gabriel <mike.gabriel@das-netzwerkteam.de>
To: uli42@gmx.de, 1322@bugs.x2go.org
Cc: Orion Poplawski <orion@nwra.com>
Subject: Re: [X2Go-Dev] Bug#1322: Bug#1322: RFE: Allow setting nxagent nx/nx options on the server via x2goagent.options
Date: Mon, 20 Aug 2018 09:33:43 +0000
[Message part 1 (text/plain, inline)]
Hi,

On  Fr 17 Aug 2018 20:38:55 CEST, Ulrich Sibiller wrote:

> On Fri, Aug 17, 2018 at 7:08 PM, Orion Poplawski <orion@nwra.com> wrote:

>> Package: x2goserver
>> Persion: 4.1.0.2
>> Tags: patch
>>
>> The attached patch allows the setting of nxagent nx/nx options on the server
>> via x2goagent.options.  Very useful for being able to set sleep=0.

> Well, it should be a session specific setting which means it should be
> implemented at the client side and passed to the server from there.
> But it is a start...
>
> Not directIy related to your  changes: I am wondering why this piece
> of code always sets client=linux although this is server-side code!?
>
> Uli
>

I agree with Uli, that the sleep option needs to be integrated into  
X2Go Client's / PyHoca-GUI's UI. However, the patch provided by Orion  
gives site admins the possibility to fine-tune the server-side defaults.

If a session gets attached to from the client-side, the nx/nx options  
passed to nxproxy override the system defaults IIRC. So, adding sleep  
support to X2Go Client is a second step.

/me raises his thumb for applying this patch.

Mike
-- 

DAS-NETZWERKTEAM
mike gabriel, herweg 7, 24357 fleckeby
mobile: +49 (1520) 1976 148
landline: +49 (4354) 8390 139

GnuPG Fingerprint: 9BFB AEE8 6C0A A5FF BF22  0782 9AF4 6B30 2577 1B31
mail: mike.gabriel@das-netzwerkteam.de, http://das-netzwerkteam.de

[Message part 2 (application/pgp-signature, inline)]

Information forwarded to x2go-dev@lists.x2go.org, X2Go Developers <x2go-dev@lists.x2go.org>:
Bug#1322; Package x2goserver. (Wed, 21 Nov 2018 19:40:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Mike Gabriel <mike.gabriel@das-netzwerkteam.de>:
Extra info received and forwarded to list. Copy sent to X2Go Developers <x2go-dev@lists.x2go.org>. (Wed, 21 Nov 2018 19:40:04 GMT) Full text and rfc822 format available.

Message #20 received at 1322@bugs.x2go.org (full text, mbox):

From: Mike Gabriel <mike.gabriel@das-netzwerkteam.de>
To: 1322-submitter@bugs.x2go.org
Cc: control@bugs.x2go.org, 1322@bugs.x2go.org
Subject: X2Go issue (in src:x2goserver) has been marked as pending for release
Date: Wed, 21 Nov 2018 20:37:02 +0100 (CET)
tag #1322 pending
fixed #1322 4.1.0.3
thanks

Hello,

X2Go issue #1322 (src:x2goserver) reported by you has been
fixed in X2Go Git. You can see the changelog below, and you can
check the diff of the fix at:

    http://code.x2go.org/gitweb?p=x2goserver.git;a=commitdiff;h=80e838f

The issue will most likely be fixed in src:x2goserver (4.1.0.3).

light+love
X2Go Git Admin (on behalf of the sender of this mail)

---
commit 80e838f6a7fa616f270e69b70d9aaddec964ee07
Author: Orion Poplawski <orion@nwra.com>
Date:   Fri Aug 17 11:04:03 2018 -0600

    Allow setting nxagent nx/nx options on the server via x2goagent.options

diff --git a/debian/changelog b/debian/changelog
index 88ad5c4..9c2ce9a 100644
--- a/debian/changelog
+++ b/debian/changelog
@@ -86,6 +86,11 @@ x2goserver (4.1.0.3-0x2go1) UNRELEASED; urgency=medium
     + Replace historical "egrep" with "grep -E".
     + More curly braces, quotes etc.
 
+  [ Orion Poplawski ]
+  * New upstream version (4.1.0.3):
+    - Allow setting nxagent nx/nx options on the server via x2goagent.options.
+      (Fixes: #1322).
+
  -- Mike Gabriel <mike.gabriel@das-netzwerkteam.de>  Tue, 14 Aug 2018 16:41:40 +0200
 
 x2goserver (4.1.0.2-0x2go1) unstable; urgency=medium


Added tag(s) pending. Request was from Mike Gabriel <mike.gabriel@das-netzwerkteam.de> to control@bugs.x2go.org. (Wed, 21 Nov 2018 19:40:07 GMT) Full text and rfc822 format available.

Marked as fixed in versions 4.1.0.3. Request was from Mike Gabriel <mike.gabriel@das-netzwerkteam.de> to control@bugs.x2go.org. (Wed, 21 Nov 2018 19:40:07 GMT) Full text and rfc822 format available.

Message sent on to Orion Poplawski <orion@nwra.com>:
Bug#1322. (Wed, 21 Nov 2018 19:40:08 GMT) Full text and rfc822 format available.

Information forwarded to x2go-dev@lists.x2go.org, X2Go Developers <x2go-dev@lists.x2go.org>:
Bug#1322; Package x2goserver. (Thu, 29 Nov 2018 05:05:02 GMT) Full text and rfc822 format available.

Acknowledgement sent to X2Go Release Manager X2Go Release Manager <git-admin@x2go.org>:
Extra info received and forwarded to list. Copy sent to X2Go Developers <x2go-dev@lists.x2go.org>. (Thu, 29 Nov 2018 05:05:03 GMT) Full text and rfc822 format available.

Message #32 received at 1322@bugs.x2go.org (full text, mbox):

From: X2Go Release Manager X2Go Release Manager <git-admin@x2go.org>
To: 1322-submitter@bugs.x2go.org
Cc: control@bugs.x2go.org, 1322@bugs.x2go.org
Subject: X2Go issue (in src:x2goserver) has been marked as closed
Date: Thu, 29 Nov 2018 05:56:48 +0100 (CET)
close #1322
thanks

Hello,

we are very hopeful that X2Go issue #1322 reported by you
has been resolved in the new release (4.1.0.3) of the
X2Go source project Ā»src:x2goserverĀ«.

You can view the complete changelog entry of src:x2goserver (4.1.0.3)
below, and you can use the following link to view all the code changes
between this and the last release of src:x2goserver.

    http://code.x2go.org/gitweb?p=x2goserver.git;a=commitdiff;h=2f9ba747f837b253b08e35d26d4f7e022e09f6a2;hp=248ee80e769a6ddd2de820d022cc8ee440525dd6

If you feel that the issue has not been resolved satisfyingly, feel
free to reopen this bug report or submit a follow-up report with
further observations described based on the new released version
of src:x2goserver.

Thanks a lot for contributing to X2Go!!!

light+love
X2Go Git Admin (on behalf of the sender of this mail)

---
X2Go Component: src:x2goserver
Version: 4.1.0.3-0x2go1
Status: RELEASE
Date: Thu, 29 Nov 2018 05:55:21 +0100
Fixes: 1322 1325
Changes:
 x2goserver (4.1.0.3-0x2go1) RELEASED; urgency=medium
 .
   [ Mike Gabriel ]
   * New upstream version (4.1.0.3)
     - x2goserver.service: Add Documentation= key.
     - x2goserver/lib/x2gocheckport: chmod a+x.
     - New bin:pkg: x2goserver-desktopsharing. Move all desktop sharing
       integration logic from x2godesktopsharing to x2goserver src:pkg.
     - Don't rely on "ln -sf" to remove a symlink before recreating it. If the
       target is non-writable, this may fail (observed on a Debian stretch
       system). Thus, removing the symlink file first and then recreating it.
     - Massive white-space cleanup (at EOLs).
     - x2goserver/bin/x2goruncommand: Support IceWM as desktop session type.
   * debian/x2goserver*.dirs:
     + Let dirs have a trailing slash in their path (for the human eye merely).
   * debian/copyright:
     + Regenerate auto-generated copyright.in file.
     + Adopt from recent Debian packaging.
     + Add x2goserver.spec.
   * debian/control:
     + Move xfonts-base from D to R. Thanks lintian.
     + Move C (x2goserver) with versioned x2godesktopsharing, to B.
     + Don't depend on essential package without version. Drop bash from D.
     + Bump Standards-Version: to 4.2.1. No changes needed.
     + Mention "client side printing support" also in descr of bin:pkg
       x2goserver-common.
   * debian/*.postinst:
     + Avoid recursive chmod/chown. Recursive chown/chmod is susceptible to
       hardlink attacks on mainline, non-Debian kernels.
   * debian/x2goserver.postinst:
     + Load debconf module, even if not used (Debian Policy demand).
   * debian/*.templates:
     + Move x2goserver and x2goserver-desktopsharing templates into separate
       files.
   * debian/po:
     + Add French translation. Thanks to Jean-Pierre Giraud from the Debian
       project. (Closes DBTS:#905931).
   * lintian:
     + Drop unused debian/x2goserver-printing.lintian-overrides.
   * debian/*: White-space cleanup.
   * x2goserver.spec:
     + Mention "client side printing support" in all pkg descriptions.
     + Regression fix: Use "desktopsharing" package name above its description,
       not copy+pasted "extensions".
     + Regression fix: Make /etc/x2go/desktopsharing be owned by x2goserver-
       desktopsharing.
     + Exclude x2go*-desktopsharing scripts and man page in %files x2goserver.
 .
   [ Mihai Moldovan ]
   * New upstream version (4.1.0.3):
     - x2goserver/lib/x2gocheckport: remove executable flag. This file is STILL
       not meant to be executed directly.
     - libx2go-server-db-perl/Makefile: make sure our {C,LD}FLAGS are always
       appended to the user-provided ones.
     - x2goserver-desktopsharing/bin/x2goterminate-desktopsharing: replace
       historical "egrep" with "grep -E".
     - x2goserver-desktopsharing/bin/x2goterminate-desktopsharing: don't use
       negative exit codes.
     - x2goserver-desktopsharing/bin/x2goterminate-desktopsharing: more curly
       braces, quotes etc.
     - x2goserver-extensions/bin/x2goserver-run-extensions: replace historical
       "egrep" with "grep -E".
     - x2goserver-extensions/bin/x2goserver-run-extensions: don't use negative
       exit codes.
     - x2goserver-extensions/bin/x2goserver-run-extensions: more curly braces,
       quotes etc.
     - x2goserver/bin/x2gofeaturelist: replace historical "egrep" with "grep
       -E".
     - x2goserver/bin/x2gofeaturelist: more curly braces, quotes etc.
     - x2goserver/bin/x2goruncommand: replace historical "egrep" with "grep
       -E".
     - x2goserver/bin/x2goversion: replace historical "egrep" with "grep -E".
     - x2goserver/bin/x2goversion: more curly braces, quotes etc.
     - x2goserver/bin/x2gostartagent: use single quotes instead of double
       quotes for literal strings.
     - x2goserver-x2goagent/etc/x2goagent.options: re-enable BIG-REQUESTS;
       newer nx-libs versions (3.5.99.17+) should handle this much better.
       Fixes: #1325. Fixes: #1321.
     - misc: copyright updates, but for contributors who haven't been active or
       requested not to be bumped.
     - misc: switch to HTTPS-based URLs where appropriate.
     - misc: update Oleksandr's email address.
     - misc manpages: pre-release date update.
     - libx2go-server-db-perl/src/libx2go-server-db-sqlite3-wrapper.c: revamp
       wrapper, alike to what was done in x2gobroker.
   * x2goserver.spec:
     + Pull in openSUSE-release manually on OpenSuSE Tumbleweed to work around
       a bug.
     + Also pass %{__global_{c{,pp},ld}flags} down via {C,LD}FLAGS.
     + Bump nxagent dependency up to 3.5.99.17+.
   * debian/x2goserver-desktopsharing.postinst:
     + More curly braces, quotes etc.
   * debian/x2goserver-desktopsharing.config:
     + More curly braces, quotes etc.
   * debian/x2goserver-desktopsharing.postrm:
     + More curly braces, quotes etc.
   * debian/libx2go-server-db-perl.postinst:
     + Replace historical "egrep" with "grep -E".
   * debian/x2goserver.config:
     + Replace historical "egrep" with "grep -E".
     + More curly braces, quotes etc.
   * debian/control:
     + Bump nxagent dependency up to 3.5.99.17+.
   * debian/copyright{,.in}:
     + Merge copyright entries.
     + Fix links to our wiki and update to HTTPS.
 .
   [ Orion Poplawski ]
   * New upstream version (4.1.0.3):
     - x2goserver{/bin/x2gostartagent,-x2goagent/etc/x2goagent.options}: allow
       setting nxagent nx/nx options on the server via x2goagent.options.
       Fixes: #1322.


Marked Bug as done Request was from X2Go Release Manager X2Go Release Manager <git-admin@x2go.org> to control@bugs.x2go.org. (Thu, 29 Nov 2018 05:05:04 GMT) Full text and rfc822 format available.

Notification sent to Orion Poplawski <orion@nwra.com>:
Bug acknowledged by developer. (Thu, 29 Nov 2018 05:05:05 GMT) Full text and rfc822 format available.

Message sent on to Orion Poplawski <orion@nwra.com>:
Bug#1322. (Thu, 29 Nov 2018 05:05:07 GMT) Full text and rfc822 format available.

Information forwarded to x2go-dev@lists.x2go.org, X2Go Developers <x2go-dev@lists.x2go.org>:
Bug#1322; Package x2goserver. (Thu, 29 Nov 2018 07:15:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Mike Gabriel <mike.gabriel@das-netzwerkteam.de>:
Extra info received and forwarded to list. Copy sent to X2Go Developers <x2go-dev@lists.x2go.org>. (Thu, 29 Nov 2018 07:15:03 GMT) Full text and rfc822 format available.

Message #44 received at 1322@bugs.x2go.org (full text, mbox):

From: Mike Gabriel <mike.gabriel@das-netzwerkteam.de>
To: 1322-submitter@bugs.x2go.org
Cc: control@bugs.x2go.org, 1322@bugs.x2go.org
Subject: X2Go issue (in src:x2goserver) has been marked as pending for release
Date: Thu, 29 Nov 2018 08:14:46 +0100 (CET)
tag #1322 pending
fixed #1322 4.1.0.3
thanks

Hello,

X2Go issue #1322 (src:x2goserver) reported by you has been
fixed in X2Go Git. You can see the changelog below, and you can
check the diff of the fix at:

    http://code.x2go.org/gitweb?p=x2goserver.git;a=commitdiff;h=80e838f

The issue will most likely be fixed in src:x2goserver (4.1.0.3).

light+love
X2Go Git Admin (on behalf of the sender of this mail)

---
commit 80e838f6a7fa616f270e69b70d9aaddec964ee07
Author: Orion Poplawski <orion@nwra.com>
Date:   Fri Aug 17 11:04:03 2018 -0600

    Allow setting nxagent nx/nx options on the server via x2goagent.options

diff --git a/debian/changelog b/debian/changelog
index 88ad5c4..9c2ce9a 100644
--- a/debian/changelog
+++ b/debian/changelog
@@ -86,6 +86,11 @@ x2goserver (4.1.0.3-0x2go1) UNRELEASED; urgency=medium
     + Replace historical "egrep" with "grep -E".
     + More curly braces, quotes etc.
 
+  [ Orion Poplawski ]
+  * New upstream version (4.1.0.3):
+    - Allow setting nxagent nx/nx options on the server via x2goagent.options.
+      (Fixes: #1322).
+
  -- Mike Gabriel <mike.gabriel@das-netzwerkteam.de>  Tue, 14 Aug 2018 16:41:40 +0200
 
 x2goserver (4.1.0.2-0x2go1) unstable; urgency=medium


Message sent on to Orion Poplawski <orion@nwra.com>:
Bug#1322. (Thu, 29 Nov 2018 07:15:07 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


X2Go Developers <owner@bugs.x2go.org>. Last modified: Fri Dec 14 05:38:24 2018; Machine Name: ymir.das-netzwerkteam.de

X2Go Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.